wconsd - Bug #20

cannot return to menu

2008-04-18 15:51 - Hamish

Status:
Priority:
Assignee:
Category:

Target version:

Closed

Normal

0.3

Start date: 2008-04-18
Due date:

% Done: 100%
Estimated time: 0.00 hour

Description

Once a connection to the serial port is established, there is no method for returning to the original menu

Related issues:

Blocked by Bug #16: Extra line is seen after every enter

Closed 2008-04-17

2008-04-30

Associated revisions

Revision 3eb633b1 - 2008-04-21 18:45 - Hamish Coleman

Add telnet processing to serial-data-pump. Add ability to exit back to menu.
There is still a lot of cleanup work remaining from here. We do not need the

menu thread, we should run the menu from the net_to_com thread, however it

appears to meet the requirements. closes #16, #20

History

#1 - 2008-04-20 23:47 - Hamish

- Target version set to 0.3

#2 - 2008-04-21 18:46 - Hamish

- Status changed from New to Closed

- % Done changed from 0 to 100
